<div class="update-expired-password-form__container">

  <a href={{this.showcase.url}} class="pix-logo__link">
    <img class="pix-logo__image" src="/images/ecriplus-tests.svg" alt="{{this.showcase.linkText}}" />
  </a>

  <div class="update-expired-password-form__header">
    <h1 class="update-expired-password-form-title">{{t "pages.update-expired-password.first-title"}}</h1>

    {{#unless this.authenticationHasFailed}}
      <div
        class="update-expired-password-form-header__instruction update-expired-password-form-subtitle"
        id="update-expired-password-authentication-failed-message"
      >
        {{t "pages.update-expired-password.subtitle"}}
      </div>
    {{/unless}}
  </div>

  {{#if this.errorMessage}}
    <div
      class="update-expired-password-form__notification-message update-expired-password-form__notification-message--error"
      aria-live="polite"
      id="update-expired-password-error-message"
    >
      {{this.errorMessage}}
    </div>
  {{/if}}

  {{#unless this.authenticationHasFailed}}
    <form {{on "submit" this.handleUpdatePasswordAndAuthenticate}} class="update-expired-password-form__body">

      <div class="update-expired-password-form-body__input">
        <FormTextfield
          @label={{t "pages.update-expired-password.fields.label"}}
          @help={{t "pages.update-expired-password.fields.help"}}
          @textfieldName="password"
          @inputBindingValue={{this.newPassword}}
          @onValidate={{this.validatePassword}}
          @validationStatus={{this.validation.status}}
          @validationMessage={{this.validationMessage}}
          @require={{true}}
          @aria-describedby="update-expired-password-error-message update-expired-password-authentication-failed-message"
        />
      </div>

      <div
        class="update-expired-password-form-body__bottom-button update-expired-password-form-body__bottom-button--big"
      >
        {{#if this.isLoading}}
          <button type="button" disabled class="button button--thin button--round button--big">
            <span class="loader-in-button">&nbsp;</span>
          </button>
        {{else}}
          <PixButton @type="submit">
            {{t "pages.update-expired-password.button"}}
          </PixButton>
        {{/if}}
      </div>
    </form>
  {{/unless}}

  {{#if this.authenticationHasFailed}}
    <div class="update-expired-password-form__body">
      <div
        class="password-reset-demand-form__body password-reset-demand-form__body--centered update-expired-password-form-text"
        aria-live="polite"
      >
        {{t "pages.update-expired-password.validation"}}
      </div>
      <div
        class="update-expired-password-form-body__bottom-button update-expired-password-form-body__bottom-button--big"
      >
        <LinkTo @route="authentication.login" class="button button--link button--uppercase button--thin button--round">
          {{t "pages.update-expired-password.go-to-login"}}
        </LinkTo>
      </div>
    </div>
  {{/if}}
</div>